Oude phpbb versie en PHP7.2

Discussieer hier over alles rondom phpBB.
Forumregels
LEES: Algemene Voorwaarden. Dit forum is niet voor technische vragen!
Plaats reactie
Ivory
Berichten: 6
Lid geworden op: 13 dec 2018, 15:30

Oude phpbb versie en PHP7.2

Bericht door Ivory » 13 dec 2018, 15:42

Ons forum draaide tot voor kort met de PHP5.6 versie van de hostingprovider probleemloos.
Maar inmiddels is PHP5.6 verwijderd en is nu versie 7.2

De database kan geen connectie meer maken. Ik heb al veel gezocht op internet en vaak kom ik een oplossing tegen om mysql te veranderen naar mysqli. Maar wat en waar moet ik dat dan veranderen.

We willen graag met de oudere phpbb versie blijven werken.
Is het mogelijk om het forum onder PHP 7.2 weer werkend te maken ?

Dit staat in de config file waarbij ik de inloggevens veranderd heb naar sterretjes.

Code: Selecteer alles

<?php


// phpBB 2.x auto-generated config file
// Do not change anything in this file!

$dbms = 'mysql4';

$dbhost = 'localhost';
$dbname = '*******';
$dbuser = '*******';
$dbpasswd = '******';

$table_prefix = 'phpbb_';

define('PHPBB_INSTALLED', true);

?>
Alvast bedankt.

Gebruikersavatar
El torro
Berichten: 3048
Lid geworden op: 02 sep 2014, 21:28
Locatie: In het zonnige zuiden
Contacteer:

Re: Oude phpbb versie en PHP7.2

Bericht door El torro » 13 dec 2018, 15:53

$dbms = 'mysql4';
Weet je dat zeker? normaal is het
$dbms = 'mysql';
En dat moet je veranderen in
$dbms = 'mysqli';

Om het forum onder php7.2 weer (goed) werkend te krijgen zal je moeten updaten.
Soms wil de host ook wel tijdelijk de php versie wel weer even terugzetten voor je.

Als je verteld onder welke phpbb versie je nu draait kunnen we zeggen hoe je moet updaten en daarbij helpen.

Gebruikersavatar
Paul
Beheerder
Beheerder
Berichten: 20228
Lid geworden op: 23 okt 2003, 11:38
Locatie: Utrecht
Contacteer:

Re: Oude phpbb versie en PHP7.2

Bericht door Paul » 13 dec 2018, 15:53

Wij ondersteunen op dit moment alleen phpBB versie 3.2, ik ben bang dat we je dan ook alleen kunnen helpen met het upgraden naar deze versie.

Ivory
Berichten: 6
Lid geworden op: 13 dec 2018, 15:30

Re: Oude phpbb versie en PHP7.2

Bericht door Ivory » 13 dec 2018, 16:30

El torro schreef:
13 dec 2018, 15:53
$dbms = 'mysql4';
Weet je dat zeker? normaal is het
$dbms = 'mysql';
En dat moet je veranderen in
$dbms = 'mysqli';

Om het forum onder php7.2 weer (goed) werkend te krijgen zal je moeten updaten.
Soms wil de host ook wel tijdelijk de php versie wel weer even terugzetten voor je.

Als je verteld onder welke phpbb versie je nu draait kunnen we zeggen hoe je moet updaten en daarbij helpen.
Bedankt voor de reactie.

Er staat inderdaad mysql4 in het config bestand. Er staat precies zoals in de topicstart.

Dit zegt de hostingprovider: Houd er rekening mee dat PHP 5.6 en 7.0 vanaf 3 december 2018 permanent van onze servers zullen verwijderd en alle websites weer naar PHP 7.2 worden geüpgraded. Terugkeren naar een eerdere versie is dus geen oplossing en meer bedoeld om u te helpen uw site te repareren.

Oei, welke versie ? Het forum draait al vanaf 2006 zonder enige update.
In het config bestand staat : // phpBB 2.x auto-generated config file

Versie 2. nog wat dus.

Ivory
Berichten: 6
Lid geworden op: 13 dec 2018, 15:30

Re: Oude phpbb versie en PHP7.2

Bericht door Ivory » 13 dec 2018, 16:31

Paul schreef:
13 dec 2018, 15:53
Wij ondersteunen op dit moment alleen phpBB versie 3.2, ik ben bang dat we je dan ook alleen kunnen helpen met het upgraden naar deze versie.
Da's jammer, ik had gehoopt op wat steun van de kenners.

Gebruikersavatar
Paul
Beheerder
Beheerder
Berichten: 20228
Lid geworden op: 23 okt 2003, 11:38
Locatie: Utrecht
Contacteer:

Re: Oude phpbb versie en PHP7.2

Bericht door Paul » 13 dec 2018, 16:37

phpBB 2.0 is sinds (Uit mijn hoofd) 1 januari 2009 niet ondersteund, phpBB 3.0 sinds 1 januari 2017 en phpBB 3.1 sinds 1 januari 2018.
phpBB 2 heeft nooit officieel php 5.x ondersteund, dus je hebt eigenlijk al jaren geluk dat het nog werkten :).

De reden dat we het niet meer ondersteunen is simpelweg omdat deze versie (Zeker phpBB2) zeer verouderd zijn, en ook niet meer onderhouden worden door phpBB.com.
Mocht je support willen met de upgrade van phpBB2 naar phpBB 3.2 kan je het beste een topic in het support forum openen. Anders ben ik bang dat wij je verder niet kunnen helpen.

Ivory
Berichten: 6
Lid geworden op: 13 dec 2018, 15:30

Re: Oude phpbb versie en PHP7.2

Bericht door Ivory » 13 dec 2018, 21:44

Bedankt voor het aanbod, ik hou dit in gedachten.
Wat ik me afvraag is hoe je dan het volledige oude forum dan van versie 2 naar versie 3 kunt converteren als je maar gebruik kunt maken van 1 database, want meer hebben we niet bij de hostingprovider.

Gebruikersavatar
El torro
Berichten: 3048
Lid geworden op: 02 sep 2014, 21:28
Locatie: In het zonnige zuiden
Contacteer:

Re: Oude phpbb versie en PHP7.2

Bericht door El torro » 13 dec 2018, 21:59

Je kan het op je pc doen of dezelfde database gebruiken met een andere prefix ervoor.

Plaats reactie